
## Make it so config files are not overwritten
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

## List of conf files to check
config etc/ddclient/ddclient.conf.new
config etc/rc.d/rc.ddclient.new

## Create cache directory:
if ! [ -d var/cache/ddclient ]; then
  mkdir -p var/cache/ddclient
  chown -R root.root var/cache/ddclient
fi

echo -e "\nIf you set 'ssl=yes' in the config file, then you need to install"
echo -e "the package perl-io-socket-ssl. This could be built through the"
echo -e "program cpan2tgz.\n"
